Index: main/trunk/greenstone3/web/interfaces/oran/transform/document-scripts.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/document-scripts.xsl	(revision 23989)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/document-scripts.xsl	(revision 24009)
@@ -11,4 +11,9 @@
 		<script type="text/javascript">
 			<xsl:text disable-output-escaping="yes">
+				var collapseImageURL = "</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'collapse_image')"/><xsl:text disable-output-escaping="yes">";
+				var expandImageURL = "</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'expand_image')"/><xsl:text disable-output-escaping="yes">";
+				var chapterImageURL = "</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'chapter_image')"/><xsl:text disable-output-escaping="yes">";
+				var pageImageURL = "</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'page_image')"/><xsl:text disable-output-escaping="yes">";
+				
 				function toggleSection(sectionID)
 				{
@@ -21,12 +26,10 @@
 					if(docElem.style.display == "none")
 					{
-						var imageClass = (docToggleElem.getAttribute("class").indexOf("leafNode") != -1) ? "icon toggleImageCollapse leafNode" : "icon toggleImageCollapse";
-						
 						docElem.style.display = "block";
-						docToggleElem.setAttribute("class", imageClass);
+						docToggleElem.setAttribute("src", collapseImageURL);
 						
 						if(tocToggleElem)
 						{
-							tocToggleElem.setAttribute("class", imageClass);
+							tocToggleElem.setAttribute("src", collapseImageURL);
 						}
 						
@@ -41,11 +44,9 @@
 						
 						//Use the page image if this is a leaf node and the chapter image if it not
-						//var imageClass = (docToggleElem.getAttribute("class").indexOf("leafNode") != -1) ? "icon toggleImagePage leafNode" : "icon toggleImageChapter";
-						var imageClass = (docToggleElem.getAttribute("class").indexOf("leafNode") != -1) ? "icon toggleImageExpand leafNode" : "icon toggleImageExpand";
-						docToggleElem.setAttribute("class", imageClass);
+						docToggleElem.setAttribute("src", expandImageURL);
 						
 						if(tocToggleElem)
 						{
-							tocToggleElem.setAttribute("class", imageClass);
+							tocToggleElem.setAttribute("src", expandImageURL);
 						}
 						
@@ -132,6 +133,5 @@
 					
 					var option = document.getElementById("highlightOption");
-					option.innerHTML = "No Highlighting";
-					option.setAttribute("href", "javascript:removeHighlight();");
+					option.setAttribute("onclick", "removeHighlight();");
 				}
 				
@@ -149,6 +149,5 @@
 					
 					var option = document.getElementById("highlightOption");
-					option.innerHTML = "Highlighting";
-					option.setAttribute("href", "javascript:addHighlight();");
+					option.setAttribute("onclick", "addHighlight();");
 				}
 			</xsl:text>
@@ -157,7 +156,39 @@
 	
 	<xsl:template name="realisticBooksScript">
-		<div id="bookdiv"/>
 		<script type="text/javascript">
 			<xsl:text disable-output-escaping="yes">
+				function bookInit()
+				{
+					loadBook(); 
+					hideText(); 
+					showBook(); 
+					swapLinkJavascript(false);
+				}
+				
+				function hideText()
+				{
+					var textDiv = document.getElementById("gs-document-text");
+					textDiv.style.display = "none";
+				}
+				
+				function showText()
+				{
+					var textDiv = document.getElementById("gs-document-text");
+					textDiv.style.display = "block";
+				}
+				
+				function hideBook()
+				{
+					var bookDiv = document.getElementById("bookdiv");
+					bookDiv.style.visibility = "hidden";
+					bookDiv.style.height = "0px";
+				}
+				
+				function showBook()
+				{
+					var bookDiv = document.getElementById("bookdiv");
+					bookDiv.style.visibility = "visible";
+					bookDiv.style.height = "600px";
+				}
 				
 				//Helper function to create param elements
@@ -170,48 +201,65 @@
 				}
 				
-				//Work out the URL to the cover image and the document
-				var img_cover = '</xsl:text><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>/index/assoc/<xsl:value-of select="metadataList/metadata[@name='assocfilepath']"/>/cover.jpg<xsl:text disable-output-escaping="yes">';
-				var doc_url = document.URL; 
-				doc_url = doc_url.replace(/(&amp;|\?)book=[a-z]+/gi,'');
-				doc_url += '&amp;book=flashxml';	
-				
-				//The outer OBJECT element
-				var objectElem = document.createElement("OBJECT");
-				objectElem.setAttribute("align", "middle");
-				objectElem.setAttribute("classid", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000");
-				objectElem.setAttribute("codebase", "http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0");
-				objectElem.setAttribute("height", "600px");
-				objectElem.setAttribute("width", "100%");
-				
-				//Parameter list
-				var params = new Array();
-				params[0] = createParam("allowScriptAccess", "always");
-				params[1] = createParam("movie", "Book.swf?src_image=" + escape(img_cover) + "&amp;doc_url=" + escape(doc_url));
-				params[2] = createParam("quality", "high");
-				params[3] = createParam("bgcolor", "#FFFFFF");
-				
-				//The embed element that goes into the object element
-				var embedElem = document.createElement("EMBED");
-				embedElem.setAttribute("allowScriptAccess", "always");
-				embedElem.setAttribute("swLiveConnect", "true");
-				embedElem.setAttribute("bgcolor", "#FFFFFF");
-				embedElem.setAttribute("height", "600px");
-				embedElem.setAttribute("name", "Book");
-				embedElem.setAttribute("pluginspage", "http://www.macromedia.com/go/getflashplayer");
-				embedElem.setAttribute("quality", "high");
-				embedElem.setAttribute("src", "Book.swf?src_image=" + escape(img_cover) + "&amp;doc_url=" + escape(doc_url));
-				embedElem.setAttribute("type", "application/x-shockwave-flash");
-				embedElem.setAttribute("width", "100%");
-				
-				//Append the param and embed elements to the object element
-				for(var i = 0; i &lt; params.length; i++)
-				{
-					objectElem.appendChild(params[i]);
-				}
-				objectElem.appendChild(embedElem);
-				
-				//Append the object element to the page
-				var flashDiv = document.getElementById("bookdiv");
-				flashDiv.appendChild(objectElem);
+				function swapLinkJavascript(rbOn)
+				{
+					var option = document.getElementById("rbOption");
+					if(rbOn)
+					{
+						option.setAttribute("onclick", "hideText(); showBook(); swapLinkJavascript(false);");
+					}
+					else
+					{
+						option.setAttribute("onclick", "hideBook(); showText(); swapLinkJavascript(true);");
+					}
+				}
+				
+				function loadBook()
+				{
+					//Work out the URL to the cover image and the document
+					var img_cover = '</xsl:text><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>/index/assoc/<xsl:value-of select="metadataList/metadata[@name='assocfilepath']"/>/cover.jpg<xsl:text disable-output-escaping="yes">';
+					var doc_url = document.URL; 
+					doc_url = doc_url.replace(/(&amp;|\?)book=[a-z]+/gi,'');
+					doc_url += '&amp;book=flashxml';	
+					
+					//The outer OBJECT element
+					var objectElem = document.createElement("OBJECT");
+					objectElem.setAttribute("align", "middle");
+					objectElem.setAttribute("classid", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000");
+					objectElem.setAttribute("codebase", "http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0");
+					objectElem.setAttribute("height", "600px");
+					objectElem.setAttribute("width", "70%");
+					objectElem.setAttribute("id", "bookObject");
+					
+					//Parameter list
+					var params = new Array();
+					params[0] = createParam("allowScriptAccess", "always");
+					params[1] = createParam("movie", "RealisticBook.swf?src_image=" + escape(img_cover) + "&amp;doc_url=" + escape(doc_url));
+					params[2] = createParam("quality", "high");
+					params[3] = createParam("bgcolor", "#FFFFFF");
+					
+					//The embed element that goes into the object element
+					var embedElem = document.createElement("EMBED");
+					embedElem.setAttribute("allowScriptAccess", "always");
+					embedElem.setAttribute("swLiveConnect", "true");
+					embedElem.setAttribute("bgcolor", "#FFFFFF");
+					embedElem.setAttribute("height", "600px");
+					embedElem.setAttribute("name", "Book");
+					embedElem.setAttribute("pluginspage", "http://www.macromedia.com/go/getflashplayer");
+					embedElem.setAttribute("quality", "high");
+					embedElem.setAttribute("src", "RealisticBook.swf?src_image=" + escape(img_cover) + "&amp;doc_url=" + escape(doc_url));
+					embedElem.setAttribute("type", "application/x-shockwave-flash");
+					embedElem.setAttribute("width", "70%");
+					
+					//Append the param and embed elements to the object element
+					for(var i = 0; i &lt; params.length; i++)
+					{
+						objectElem.appendChild(params[i]);
+					}
+					objectElem.appendChild(embedElem);
+					
+					//Append the object element to the page
+					var flashDiv = document.getElementById("bookdiv");
+					flashDiv.appendChild(objectElem);
+				}
 			</xsl:text>
 		</script>
Index: main/trunk/greenstone3/web/interfaces/oran/transform/layouts/header.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/layouts/header.xsl	(revision 23989)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/layouts/header.xsl	(revision 24009)
@@ -114,7 +114,7 @@
 				<!-- home -->
 				<li>
-					<a href="{$library_name}?a=p&amp;amp;sa=home">
+					<a href="{$library_name}?a=p&amp;amp;sa=about&amp;amp;c={$collNameChecked}">
 						<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
-						<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/>
+						<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about_b')"/>
 					</a>
 				</li>
@@ -132,29 +132,29 @@
 					<xsl:choose>
 						<xsl:when test="string-length($pageTitleVar) &lt; 20">
-							font-size: 24px; line-height: 26px;
+							font-size: 1.5em; line-height: 1.5em;
 						</xsl:when>
 						<xsl:when test="string-length($pageTitleVar) &lt; 30">
-							font-size: 22px; line-height: 24px;
+							font-size: 1.4em; line-height: 1.4em;
 						</xsl:when>
 						<xsl:when test="string-length($pageTitleVar) &lt; 40">
-							font-size: 20px; line-height: 22px;
+							font-size: 1.3em; line-height: 1.3em;
 						</xsl:when>
 						<xsl:when test="string-length($pageTitleVar) &lt; 50">
-							font-size: 18px; line-height: 20px;
+							font-size: 1.2em; line-height: 1.2em;
 						</xsl:when>
 						<xsl:when test="string-length($pageTitleVar) &lt; 60">
-							font-size: 16px; line-height: 18px;
+							font-size: 1.1em; line-height: 1.2em;
 						</xsl:when>
 						<xsl:when test="string-length($pageTitleVar) &lt; 70">
-							font-size: 15px; line-height: 17px;
+							font-size: 1em; line-height: 1.1em;
 						</xsl:when>
 						<xsl:when test="string-length($pageTitleVar) &lt; 80">
-							font-size: 14px; line-height: 16px;
+							font-size: 0.9em; line-height: 1em;
 						</xsl:when>
 						<xsl:when test="string-length($pageTitleVar) &lt; 90">
-							font-size: 13px; line-height: 15px;
+							font-size: 0.8em; line-height: 0.9em;
 						</xsl:when>
 						<xsl:otherwise>
-							font-size: 12px; line-height: 14px;
+							font-size: 0.7em; line-height: 0.9em;
 						</xsl:otherwise>
 					</xsl:choose>
@@ -179,4 +179,29 @@
 					<input type="hidden" name="c" value="{$collNameChecked}"/>
 					<input type="hidden" name="startPage" value="1"/>
+					<xsl:choose>
+						<xsl:when test="/page/pageRequest/paramList/param[@name = 's1.maxDocs']">
+							<input type="hidden" name="s1.maxDocs">
+								<xsl:attribute name="value">
+									<xsl:value-of select="/page/pageRequest/paramList/param[@name = 's1.maxDocs']/@value"/>
+								</xsl:attribute>
+							</input>
+						</xsl:when>
+						<xsl:otherwise>
+							<input type="hidden" name="s1.maxDocs" value="100"/>
+						</xsl:otherwise>
+					</xsl:choose>
+					<xsl:choose>
+						<xsl:when test="/page/pageRequest/paramList/param[@name = 's1.hitsPerPage']">
+							<input type="hidden" name="s1.hitsPerPage">
+								<xsl:attribute name="value">
+									<xsl:value-of select="/page/pageRequest/paramList/param[@name = 's1.hitsPerPage']/@value"/>
+								</xsl:attribute>
+							</input>
+						</xsl:when>
+						<xsl:otherwise>
+							<input type="hidden" name="s1.hitsPerPage" value="20"/>
+						</xsl:otherwise>
+					</xsl:choose>
+					
 					<!-- The query text box -->
 					<span class="querybox">
Index: main/trunk/greenstone3/web/interfaces/oran/transform/pages/classifier.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/pages/classifier.xsl	(revision 23989)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/pages/classifier.xsl	(revision 24009)
@@ -19,17 +19,5 @@
 	<!-- the page content -->
 	<xsl:template match="/page/pageResponse">
-
-		<!-- show the classifiers if more than one (title, subject, etc.) -->
-		<!--<xsl:if test="service/classifierList/classifier[2]">
-			<div id="classifierList" class="navList">
-				<ul>
-					<xsl:for-each select="service/classifierList/classifier">
-						<li><gslib:classifierLink/></li>
-					</xsl:for-each>
-				</ul>
-				<div class="clear"><xsl:text> </xsl:text></div>
-			</div>
-		</xsl:if>-->
-
+		<xsl:call-template name="classifierLoadScript"/>
 		<!-- this right sidebar -->
 		<xsl:if test="$berryBasketOn">
@@ -78,20 +66,131 @@
 	<xsl:template match="classifierNode" priority="3">
 
-		<li class="shelf">
+		<table id="title{@nodeID}"><tr>
+			<!-- Expand/collapse button -->
+			<td class="headerTD">
+				<img id="toggle{@nodeID}" onclick="toggleSection('{@nodeID}');" class="icon">			
+					<xsl:attribute name="src">
+						<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'expand_image')"/>
+					</xsl:attribute>
+				</img>
+			</td>
+			<!-- Bookshelf icon -->
+			<td>
+				<img>
+					<xsl:attribute name="src"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'bookshelf_image')"/></xsl:attribute>
+				</img>
+			</td>
+			<!-- Link title -->
+			<td>
+				<a href="javascript:toggleSection('{@nodeID}');">
+					<xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/>
+				</a>
+			</td>
+		</tr></table>
+		
+		<!-- Show any documents or sub-groups in this group -->
+		<xsl:if test="documentNode|classifierNode">
+			<div id="div{@nodeID}" class="classifierContainer" style="display:block;">
+				<xsl:apply-templates select="documentNode|classifierNode"/>
+			</div>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="classifierLoadScript">
+		<script type="text/javascript">
+			<xsl:text disable-output-escaping="yes">
+				var collapseImageURL = "</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'collapse_image')"/><xsl:text disable-output-escaping="yes">";
+				var expandImageURL = "</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'expand_image')"/><xsl:text disable-output-escaping="yes">";
+				var loadingImageURL = "</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'loading_image')"/><xsl:text disable-output-escaping="yes">";
+				var inProgress = new Array();
+			
+				function isExpanded(sectionID)
+				{
+					var divElem = document.getElementById("div" + sectionID);
+					if(divElem.style.display == "block")
+					{
+						return true;
+					}
+					return false;
+				}
+			
+				function toggleSection(sectionID)
+				{
+					var section = document.getElementById("div" + sectionID);
+					var sectionToggle = document.getElementById("toggle" + sectionID);
+					
+					if(section)
+					{
+						if(isExpanded(sectionID))
+						{
+							section.style.display = "none";
+							sectionToggle.setAttribute("src", expandImageURL);
+						}
+						else
+						{
+							section.style.display = "block";
+							sectionToggle.setAttribute("src", collapseImageURL);
+						}
+					}
+					else
+					{
+						httpRequest(sectionID);
+					}
+				}
+				
+				function httpRequest(sectionID)
+				{
+					if(!inProgress[sectionID])
+					{
+						inProgress[sectionID] = true;
+						var httpRequest;
+						if (window.XMLHttpRequest) {
+							httpRequest = new XMLHttpRequest();
+						}
+						else if (window.ActiveXObject) {
+							httpRequest = new ActiveXObject("Microsoft.XMLHTTP");
+						}
+						
+						var sectionToggle = document.getElementById("toggle" + sectionID);
+						sectionToggle.setAttribute("src", loadingImageURL);
 
-			<a>
-				<xsl:attribute name="href">
-					<xsl:value-of select="$library_name"/>?a=b&amp;rt=r&amp;s=<xsl:value-of select="/page/pageResponse/service/@name"/>&amp;c=<xsl:value-of select="/page/pageResponse/collection/@name"/>&amp;cl=<xsl:value-of select='@nodeID'/><xsl:if test="classifierNode|documentNode">.pr</xsl:if></xsl:attribute>
-				<xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/>
-			</a>
+						var url = document.URL;
+						url = url.replace(/(&amp;|\?)cl=([a-z\.0-9]+)/gi, "$1cl=" + sectionID + "&amp;excerptid=div" + sectionID);
 
-			<!-- show any documents or sub-groups in this group -->
-			<xsl:if test="documentNode|classifierNode">
-				<ul>
-					<xsl:apply-templates select="documentNode|classifierNode"/>
-				</ul>
-			</xsl:if>
-		</li>
+						httpRequest.open('GET', url, true);
+						httpRequest.onreadystatechange = function() 
+						{
+							if (httpRequest.readyState == 4) 
+							{
+								if (httpRequest.status == 200) 
+								{
+									var newDiv = document.createElement("div");			
+									var sibling = document.getElementById("title" + sectionID);
+									var parent = sibling.parentNode;
+									
+									if(sibling.nextSibling)
+									{
+										parent.insertBefore(newDiv, sibling.nextSibling);
+									}
+									else
+									{
+										parent.appendChild(newDiv);
+									}
 
+									newDiv.innerHTML = httpRequest.responseText;
+									sectionToggle.setAttribute("src", collapseImageURL);
+								}
+								else
+								{
+									sectionToggle.setAttribute("src", expandImageURL);
+								}
+								inProgress[sectionID] = false;
+							}
+						}
+						httpRequest.send();
+					}
+				}
+			</xsl:text>
+		</script>
 	</xsl:template>
 
Index: main/trunk/greenstone3/web/interfaces/oran/transform/pages/document.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/pages/document.xsl	(revision 23989)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/pages/document.xsl	(revision 24009)
@@ -39,5 +39,5 @@
 				<gslib:documentTitle/>
 			</xsl:variable>
-			Document
+			<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.document')"/>
 		</a>
 	</xsl:template>
@@ -63,4 +63,5 @@
 	<xsl:template match="/page/pageResponse/document">
 		<xsl:if test="$bookswitch = 'off'">
+			<div id="bookdiv" style="visibility:hidden; height:0px;"><xsl:text> </xsl:text></div>
 			<!-- Add the Javascript that adds and removes highlighting ( *** in document-scripts.xsl *** ) -->
 			<xsl:call-template name="highlightingScript"/>
@@ -111,5 +112,5 @@
 				<div id="gs-document-text" class="documenttext"> 
 					<xsl:apply-templates select="documentNode" mode="document"/>
-				</div>
+				</div>	
 			</xsl:otherwise>
 		</xsl:choose>
@@ -137,12 +138,9 @@
 			<!-- Expand/collapse button -->
 			<td class="headerTD">
-				<div id="dtoggle{@nodeID}" onclick="toggleSection('{@nodeID}');">			
-					<xsl:attribute name="class">
-					<xsl:choose>
-						<xsl:when test="nodeContent and not(documentNode)">icon leafNode toggleImageCollapse</xsl:when>
-						<xsl:otherwise>icon toggleImageCollapse</xsl:otherwise>
-					</xsl:choose>
+				<img id="dtoggle{@nodeID}" onclick="toggleSection('{@nodeID}');" class="icon">			
+					<xsl:attribute name="src">
+						<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'collapse_image')"/>
 					</xsl:attribute>
-				</div>
+				</img>
 			</td>
 			
@@ -166,5 +164,5 @@
 				<td class="backToTop headerTD">
 					<a href="#top">
-						<xsl:text disable-output-escaping="yes">&#9650;back to top</xsl:text>
+						<xsl:text disable-output-escaping="yes">&#9650;</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.back_to_top')"/>
 					</a>
 				</td>
@@ -211,8 +209,12 @@
 						<xsl:choose>
 							<xsl:when test="not(nodeContent and not(documentNode))">
-								<div id="ttoggle{@nodeID}" onclick="toggleSection('{@nodeID}');" class="icon toggleImageCollapse"/>
+								<img id="ttoggle{@nodeID}" onclick="toggleSection('{@nodeID}');" class="icon">
+									<xsl:attribute name="src">
+										<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'collapse_image')"/>
+									</xsl:attribute>
+								</img>
 							</xsl:when>
 							<xsl:otherwise>
-								<div class="icon"/>
+								<xsl:attribute name="class">emptyIcon</xsl:attribute>
 							</xsl:otherwise>
 						</xsl:choose>
@@ -222,22 +224,24 @@
 				<!-- The chapter/page icon -->
 				<td>
-					<div>
-						<xsl:attribute name="class">
+					<img>
+						<xsl:if test="nodeContent and not(documentNode)">
+							<xsl:attribute name="class">leafNode</xsl:attribute>
+						</xsl:if>
+						
+						<xsl:attribute name="src">
 							<xsl:choose>
 								<xsl:when test="nodeContent and not(documentNode)">
-									icon leafNode toggleImagePage
+									<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'page_image')"/> 
 								</xsl:when>
 								<xsl:otherwise>
-									icon toggleImageChapter
+									<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'chapter_image')"/>
 								</xsl:otherwise>
 							</xsl:choose>
 						</xsl:attribute>
-					</div>
+					</img>
 				</td>
 				
 				<!-- The section name, links to the section in the document -->
 				<td>				
-					<!-- display this item from the table of contents -->
-					<xsl:if test="$isCurrent"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
 					<a>
 						<xsl:attribute name="href">#<xsl:value-of select="@nodeID"/></xsl:attribute>
@@ -302,33 +306,34 @@
 	
 	<xsl:template name="viewOptions">
+		<xsl:call-template name="realisticBooksScript"/>
 		<table class="viewOptions"><tr>
+			<!-- Realistic books link -->
+			<xsl:if test="/page/pageResponse/collection[@name = $collName]/metadataList/metadata[@name = 'tidyoption'] = 'tidy'">
+				<td>
+					<!-- old url = {$library_name}?a=d&amp;c={$collName}&amp;d={/page/pageResponse/document/documentNode[1]/@nodeID}&amp;dt={/page/pageResponse/document/documentNode/@docType}&amp;p.a=b&amp;p.s={/page/pageResponse/service/@name}&amp;book=on&amp;ed=1 -->
+					<div title="Realistic book view" id="rbOptionDiv"><input id="rbOption" type="checkbox" onclick="bookInit();" class="optionCheckBox"/></div>
+				</td>
+			</xsl:if>
+			
 			<!-- Highlight on/off button -->
 			<xsl:if test="/page/pageRequest/paramList/param[@name = 'p.a']/@value = 'q'">
 				<td>
-					<a id="highlightOption">
-						<xsl:choose>
-							<xsl:when test="/page/pageRequest/paramList/param[@name = 'hl']/@value = 'on'">
-								<xsl:attribute name="href">
-									<xsl:text>javascript:removeHighlight();</xsl:text>
-								</xsl:attribute>
-								<xsl:text>No Highlighting</xsl:text>
-							</xsl:when>
-							<xsl:otherwise>
-								<xsl:attribute name="href">
-									<xsl:text>javascript:addHighlight();</xsl:text>
-								</xsl:attribute>
-								<xsl:text>Highlighting</xsl:text>
-							</xsl:otherwise>
-						</xsl:choose>
-					</a>
-				</td>
-			</xsl:if>
-			
-			<!-- Realistic books link -->
-			<xsl:if test="/page/pageResponse/collection[@name = $collName]/metadataList/metadata[@name = 'tidyoption'] = 'tidy'">
-				<td>
-					<a title="Realistic book view" href="{$library_name}?a=d&amp;c={$collName}&amp;d={/page/pageResponse/document/documentNode[1]/@nodeID}&amp;dt={/page/pageResponse/document/documentNode/@docType}&amp;p.a=b&amp;p.s={/page/pageResponse/service/@name}&amp;book=on&amp;ed=1">
-						<img src="interfaces/oran/images/rbook.png"/>
-					</a>
+					<div id="highlightOptionDiv" title="Search term highlighting">
+						<input id="highlightOption" type="checkbox" class="optionCheckBox">
+							<xsl:choose>
+								<xsl:when test="/page/pageRequest/paramList/param[@name = 'hl']/@value = 'on'">
+									<xsl:attribute name="onclick">
+										<xsl:text>removeHighlight();</xsl:text>
+									</xsl:attribute>
+									<xsl:attribute name="checked">true</xsl:attribute>
+								</xsl:when>
+								<xsl:otherwise>
+									<xsl:attribute name="onclick">
+										<xsl:text>addHighlight();</xsl:text>
+									</xsl:attribute>
+								</xsl:otherwise>
+							</xsl:choose>
+						</input>
+					</div>
 				</td>
 			</xsl:if>
Index: main/trunk/greenstone3/web/interfaces/oran/transform/pages/pref.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/oran/transform/pages/pref.xsl	(revision 23989)
+++ main/trunk/greenstone3/web/interfaces/oran/transform/pages/pref.xsl	(revision 24009)
@@ -186,4 +186,7 @@
 								<xsl:value-of select="/page/pageRequest/paramList/param[@name='hitsPerPage']/@value"/>
 							</xsl:when>
+							<xsl:when test="/page/pageRequest/paramList/param[@name='s1.hitsPerPage']">
+								<xsl:value-of select="/page/pageRequest/paramList/param[@name='s1.hitsPerPage']/@value"/>
+							</xsl:when>
 							<xsl:otherwise>
 								20
@@ -195,5 +198,5 @@
 					</div>
 					<div class="paramValue">
-						<select name="hitsPerPage">
+						<select name="s1.hitsPerPage">
 							<option value="20">
 								<xsl:if test="$hits=20">
@@ -230,4 +233,7 @@
 								<xsl:value-of select="/page/pageRequest/paramList/param[@name='maxDocs']/@value"/>
 							</xsl:when>
+							<xsl:when test="/page/pageRequest/paramList/param[@name='s1.maxDocs']">
+								<xsl:value-of select="/page/pageRequest/paramList/param[@name='s1.maxDocs']/@value"/>
+							</xsl:when>
 							<xsl:otherwise>100</xsl:otherwise>
 						</xsl:choose>
@@ -237,5 +243,5 @@
 					</div>
 					<div class="paramValue">
-						<input name="maxDocs" size="3" value="{$mdocs}" />
+						<input name="s1.maxDocs" size="3" value="{$mdocs}" />
 					</div>
 					
